/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-11-29
 * 描述            ：工器具-轧辊配辊从表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevRollerPairDMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_ROLLER_PAIR_D", namespace=DevRollerPairDMapper.class)
public class DevRollerPairD extends BaseVO implements Serializable {
	/** 
	 * 配辊记录号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 轧辊位置（T：上辊、B：下辊）
	 */ 
	@Id
	private String roller_position;
	public String getRoller_position() {
		return this.roller_position;
	}
	public void setRoller_position(String roller_position) {
		this.roller_position = roller_position;
	}

	/** 
	 * 机台代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 轧辊类型（W：工作辊、B：支承辊、I：中间辊）
	 */ 
	@Column
	private String roller_type;
	public String getRoller_type() {
		return this.roller_type;
	}
	public void setRoller_type(String roller_type) {
		this.roller_type = roller_type;
	}

	/** 
	 * 轧辊编号
	 */ 
	@Column
	private String roller_no;
	public String getRoller_no() {
		return this.roller_no;
	}
	public void setRoller_no(String roller_no) {
		this.roller_no = roller_no;
	}

	/** 
	 * 制造编号
	 */ 
	@Column
	private String manufacturer_no;
	public String getManufacturer_no() {
		return this.manufacturer_no;
	}
	public void setManufacturer_no(String manufacturer_no) {
		this.manufacturer_no = manufacturer_no;
	}

	/** 
	 * 机架号
	 */ 
	@Column
	private String stand_id;
	public String getStand_id() {
		return this.stand_id;
	}
	public void setStand_id(String stand_id) {
		this.stand_id = stand_id;
	}

	/** 
	 * 材质代码（390202%）
	 */ 
	@Column
	private String material_code;
	public String getMaterial_code() {
		return this.material_code;
	}
	public void setMaterial_code(String material_code) {
		this.material_code = material_code;
	}

	/** 
	 * 材质名称
	 */ 
	@Column
	private String material_name;
	public String getMaterial_name() {
		return this.material_name;
	}
	public void setMaterial_name(String material_name) {
		this.material_name = material_name;
	}

	/** 
	 * 当前辊径（mm）
	 */ 
	@Column
	private Double dia_current;
	public Double getDia_current() {
		return this.dia_current;
	}
	public void setDia_current(Double dia_current) {
		this.dia_current = dia_current;
	}

	/** 
	 * 当前辊重（kg）
	 */ 
	@Column
	private Double wgt_current;
	public Double getWgt_current() {
		return this.wgt_current;
	}
	public void setWgt_current(Double wgt_current) {
		this.wgt_current = wgt_current;
	}

	/** 
	 * 密度
	 */ 
	@Column
	private Double density;
	public Double getDensity() {
		return this.density;
	}
	public void setDensity(Double density) {
		this.density = density;
	}

	/** 
	 * 粗糙度（Ra）
	 */ 
	@Column
	private Double roughness;
	public Double getRoughness() {
		return this.roughness;
	}
	public void setRoughness(Double roughness) {
		this.roughness = roughness;
	}

	/** 
	 * 硬度（HS）
	 */ 
	@Column
	private Double hardness;
	public Double getHardness() {
		return this.hardness;
	}
	public void setHardness(Double hardness) {
		this.hardness = hardness;
	}

	/** 
	 * 曲线误差
	 */ 
	@Column
	private Double roll_profile;
	public Double getRoll_profile() {
		return this.roll_profile;
	}
	public void setRoll_profile(Double roll_profile) {
		this.roll_profile = roll_profile;
	}

	/** 
	 * 圆度
	 */ 
	@Column
	private Double roundness;
	public Double getRoundness() {
		return this.roundness;
	}
	public void setRoundness(Double roundness) {
		this.roundness = roundness;
	}

	/** 
	 * 同轴度
	 */ 
	@Column
	private Double runout;
	public Double getRunout() {
		return this.runout;
	}
	public void setRunout(Double runout) {
		this.runout = runout;
	}

	/** 
	 * 凸度（mm）
	 */ 
	@Column
	private Double convexity;
	public Double getConvexity() {
		return this.convexity;
	}
	public void setConvexity(Double convexity) {
		this.convexity = convexity;
	}

	/** 
	 * 最大凸度（mm）
	 */ 
	@Column
	private Double convexity_max;
	public Double getConvexity_max() {
		return this.convexity_max;
	}
	public void setConvexity_max(Double convexity_max) {
		this.convexity_max = convexity_max;
	}

	/** 
	 * 最小凸度（mm）
	 */ 
	@Column
	private Double convexity_min;
	public Double getConvexity_min() {
		return this.convexity_min;
	}
	public void setConvexity_min(Double convexity_min) {
		this.convexity_min = convexity_min;
	}

	/** 
	 * 辊锥长度（mm）
	 */ 
	@Column
	private Double cone_len;
	public Double getCone_len() {
		return this.cone_len;
	}
	public void setCone_len(Double cone_len) {
		this.cone_len = cone_len;
	}

	/** 
	 * 辊锥高度（mm）
	 */ 
	@Column
	private Double cone_hgt;
	public Double getCone_hgt() {
		return this.cone_hgt;
	}
	public void setCone_hgt(Double cone_hgt) {
		this.cone_hgt = cone_hgt;
	}

	/** 
	 * 支承辊倒角长度
	 */ 
	@Column
	private Double brollc_length;
	public Double getBrollc_length() {
		return this.brollc_length;
	}
	public void setBrollc_length(Double brollc_length) {
		this.brollc_length = brollc_length;
	}

	/** 
	 * 支承辊倒角深度
	 */ 
	@Column
	private Double brollc_deepth;
	public Double getBrollc_deepth() {
		return this.brollc_deepth;
	}
	public void setBrollc_deepth(Double brollc_deepth) {
		this.brollc_deepth = brollc_deepth;
	}

	/** 
	 * 软点
	 */ 
	@Column
	private Double soft_point;
	public Double getSoft_point() {
		return this.soft_point;
	}
	public void setSoft_point(Double soft_point) {
		this.soft_point = soft_point;
	}

	/** 
	 * 裂点
	 */ 
	@Column
	private Double crack;
	public Double getCrack() {
		return this.crack;
	}
	public void setCrack(Double crack) {
		this.crack = crack;
	}

	/** 
	 * 当前使用次数（轧制卷数，修磨后清零）
	 */ 
	@Column
	private Long cur_use_times;
	public Long getCur_use_times() {
		return this.cur_use_times;
	}
	public void setCur_use_times(Long cur_use_times) {
		this.cur_use_times = cur_use_times;
	}

	/** 
	 * 当前轧制里程数（km，修磨后清零）
	 */ 
	@Column
	private Double cur_rll_len;
	public Double getCur_rll_len() {
		return this.cur_rll_len;
	}
	public void setCur_rll_len(Double cur_rll_len) {
		this.cur_rll_len = cur_rll_len;
	}

	/** 
	 * 当前轧制吨数（吨，修磨后清零）
	 */ 
	@Column
	private Double cur_rll_wgt;
	public Double getCur_rll_wgt() {
		return this.cur_rll_wgt;
	}
	public void setCur_rll_wgt(Double cur_rll_wgt) {
		this.cur_rll_wgt = cur_rll_wgt;
	}

	/** 
	 * 累计使用次数（轧制卷数）
	 */ 
	@Column
	private Long ttl_use_times;
	public Long getTtl_use_times() {
		return this.ttl_use_times;
	}
	public void setTtl_use_times(Long ttl_use_times) {
		this.ttl_use_times = ttl_use_times;
	}

	/** 
	 * 累计轧制里程数（km）
	 */ 
	@Column
	private Double ttl_rll_len;
	public Double getTtl_rll_len() {
		return this.ttl_rll_len;
	}
	public void setTtl_rll_len(Double ttl_rll_len) {
		this.ttl_rll_len = ttl_rll_len;
	}

	/** 
	 * 累计轧制吨数（吨）
	 */ 
	@Column
	private Double ttl_rll_wgt;
	public Double getTtl_rll_wgt() {
		return this.ttl_rll_wgt;
	}
	public void setTtl_rll_wgt(Double ttl_rll_wgt) {
		this.ttl_rll_wgt = ttl_rll_wgt;
	}

	/** 
	 * 累计修磨次数
	 */ 
	@Column
	private Long ttl_grd_times;
	public Long getTtl_grd_times() {
		return this.ttl_grd_times;
	}
	public void setTtl_grd_times(Long ttl_grd_times) {
		this.ttl_grd_times = ttl_grd_times;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
